Skip to main content

#RestAPI0 diskutieren mit

Join the March edition of Agentforce NOW Ask Me Anything!

 

Scaling your Agentic Architecture: MCP Servers in GA

If you have been working with the MCP beta or architecting away from legacy REST integrations, the March edition of our Agentforce NOW session is the technical deep dive for you. 

 

As Salesforce-hosted MCP servers reach GA this Spring, this month’s edition of our popular Ask Me Anything series will enable developers to expose existing Salesforce logic (Apex, REST APIs, AI, Metadata) as a mix of Tools and Prompts. Product Manager expert @Ross Belmont will showcase moving beyond one-off REST API connectors to standardized, agentic workflows, implementing standards-based authentication for agent-driven operations, and managing governance as the agent landscape scales. 

  

This is a great opportunity to get into the weeds on operational flow, named credentials, and the security models that make these integrations enterprise-ready. Hosted by Salesforce Developer Advocate @Alba Rivas, they'll answer your questions live during the session.  

 

Register and join us live here: https://www.linkedin.com/events/7429238805141889024/

 

*All AMAs are recorded and can be watched on demand on the Salesforce Developers YouTube channel.  Join the March edition of Agentforce NOW Ask Me Anything! Scaling your Agentic Architecture: MCP Servers in GAIf you have been working with the MCP beta or architecting away from legacy REST integrati #Mcp #RestAPI #Metadata #Prompts #Apex 

0/9000

When I try to create a record by sending a request, I get an error:

{

        "errorCode": "NOT_FOUND",

        "message": "The requested resource does not exist"

    }

 

Here's an example of the request I am making: 

url: https://myDomain.my.salesforce.com/services/data/v60.0/sobjects/Account

method: POST

authentication header: Bearer <token>

 

I am using JWT Bearer flow.

 

If I make a GET request to: https://myDomain.my.salesforce.com/services/data/v60.0/sobjects/

I get a response. But, if I make a GET request to https://myDomain.my.salesforce.com/services/data/v60.0/sobjects/Account

I get the same "he requested resource does not exist" response.

 

Not sure if that's related

 

#Integration  #RestAPI  #Error Message  #Salesforce

2 Antworten
  1. 27. Aug. 2025, 15:40

    It can be a permissions trouble.  

     

    Make sure you have created a Permission Set with the System Permission: API enabled and Api Only User enabled.  

     

    In addition, make sure the user that is connected has all permissions to the objects you are trying to access to.  

     

    Best regards!

0/9000

How to Upsert Multiple Object Records Using External Id In Salesforce REST API?

 

{{endpoint}}/services/data/v61.0/composite/sobjects

This is my endpoint url

And this is how i'am sending the request

{

    "allOrNone" : false,

    "records" : [{

        "attributes" : {"type" : "Account"},

        "Name" : "Test 1",

        "AccountCode" : "1234"

    }, {

        "attributes" : {"type" : "Contact"},

        "Name" : "Test 2",

        "ContactCode" : "5678"

    }]

}

]

 AccountCode & ContactCode is my external id field 

If i try to do patch with single object then it works , 

But I want to do it for multiple object in single request.

 

Thanks in advance <

0/9000

Hello, 

I am able to create a SurveyInvitation using the REST API, but I am encountering issues when trying to create SurveyResponse and SurveyQuestion records. Please help—are there any methods available for this? 

 

Thank You.

 

#Salesforce Developer  #Integration  #RestAPI

0/9000

[▶️]🔴🔥🎬 How to Only Update Salesforce Records Using External IDs in REST API

 

Before Summer 24 Release i.e. before API version 61, when you use the HTTP Patch call to do some update on record, Salesforce performs the upsert operation i.e. if the record found with matching external id, api call is going to update the matching record, but if there is no matching record with the external id, then api call is going to create the new record with the details provided in the HTTP call request body. So it is basically an upsert operation.

 

But after Summer 24 release i.e. API version 61, Salesforce is introducing a parameter which you can pass in the API call to make sure it will only do the update to the existing record and if the existing record not found, it is not going to create a new record. The process will stop there.

 

So in this blog post and youtube video, I am going to explain this powerful enhancement. Please provide your feedback what do you think about this new powerful feature.

 

🎬 https://youtu.be/5ci3QmD8F2Y

📒 https://sudipta-deb.in/2024/07/how-to-only-update-salesforce-records-using-external-ids-in-rest-api.html

 

[▶️]🔴🔥🎬 How to Only Update Salesforce Records Using External IDs in REST API Before Summer 24 Release i.e.

@The Blog Group @* Release Readiness Trailblazers *

 

#Summer24  #Summer24Feedback  #API  #RestAPI

0/9000

🎉⭐️ NEW: Einstein Generative AI Developers Guide ⭐️🎉

 

You can now build and customize generative AI capabilities using our latest developer features.

  • Explore our Models API which provides REST and Apex access points to connect your application to AI models from Salesforce-approved providers.
  • Plus, learn how to configure and use models, design and run prompt templates, create custom Copilot actions, and more.

➡️ See: Get Started with Einstein Generative AI for Developers

🎉⭐️ NEW: Einstein Generative AI Developers Guide ⭐️🎉 You can now build and customize generative AI capabilities using our latest developer features.

1 Kommentar
0/9000

Hi,

 

Our requirement involves receiving data from multiple services within SAP. I've already created one External source with one url https://abc.sap.com/AAABBB22. If I'm trying to add another url, I'm getting error like: "Your organization has exceeded the maximum number of external data sources of this type. Purchase another Salesforce Connect add-on, or delete an external data source of one of the following types:"

But my other  exrternal source urls contains like https://abc.sap.com/AAABBB44  / https://abc.sap.com/AAABB876.

 

Is it feasible to set up a base connection within the external data source (e.g., https://abc.sap.com/) and dynamically pass child URLs (such as https://abc.sap.com/A000123 and https://abc.sap.com/A000456/) within the code (Custom adapter)? #Integration #API #RestAPI

5 Antworten
  1. 11. März 2024, 17:59

    When trying to expose SAP ECC data the issue is that you are trying to bring over each and every SAP table (i.e. EKKO, EKPO, LIKP, LIPS, etc.). You are going to quickly overrun the odata connection limits and then you have to spend $$! Do not try and bring over every PO, Sales Order, Delivery from your back end. This is not how an interface to SAP should be developed. Use Filters, Publish/Subscribe and other techniques to improve the data quality of what you expect to expose to the SF user. 

0/9000
7 Antworten
  1. 5. März 2024, 17:23

    Hi @Kondam Uttam Reddy

    If your issue is still not resolved do let us know the URL of the unit you are stuck in and we'll create a help case on your behalf 

0/9000

I want to add a visualforce page to my existing case page layout but with the help of a rest api endpoint rather than using drag drop in lightning app builder. is it possible does an endpoint like this exist

is it possible to add a flexipage:visualforcePage component to  Lightning page. using any rest api?

 

#Lightning Web Components  #Visualforce For Lightning  #Apex  #Lightning Experience  #RestAPI  #API

1 Antwort
  1. Tom Bassett (Vera Solutions) Forum Ambassador
    19. Feb. 2024, 06:15

    You can do this via the Metadata or Tooling API. 

     

    Video Demo of a Example using Metadata API here; https://youtu.be/m29Qi9pILoA?si=rkC9s3v4XyDTjh_e

0/9000

How to create a blank profile in Salesforce? 

 

 If you want to create a completely blank profile in Salesforce, you typically start by cloning a base profile like "Standard User" and then manually remove all object and system permissions. This process involves going through each permission setting and removing or unchecking every option to ensure the profile has no access to any objects or system features. 

 

But we can create a complete blank profile using REST API. Follow the steps mentioned in the link 

 

https://sfdcpulse.wordpress.com/2024/02/02/salesforce-profile/

 

  

#Profiles  #RestAPI  #Salesforce Developer

0/9000